Page MenuHomePhabricator

Getting ToggleSwitchWidget to design spec
Closed, ResolvedPublic8 Story Points

Description

None of our widgets are solid blue (except for primary buttons which are explicitly tagged as progressive) so this stands out like a sore thumb

Event Timeline

Esanders raised the priority of this task from to Needs Triage.
Esanders updated the task description. (Show Details)
Esanders added a project: OOUI.
Esanders added subscribers: Esanders, Prtksxna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 11:52 AM

This came out of the discussion from T88973 where @Ricordisamoa gave an effective suggestion to use color. In this case, color meant that it's switched on with blue.

There are a few discussions that are still on-going that could affect this, namely, T110555 (consolidation between progressive/constructive) and T109915 (color swatches).

We'll keep our eyes on this, however, to be clear, we're currently focusing on mainly tasks related to T111117.

Volker_E triaged this task as Low priority.Sep 21 2015, 10:25 PM

You've linked to version one of the mocks, for which have have the same styles for checkboxes:

however all of these went through more revisions and the final versions look like this

so this look like a simple implementation error

Oh. In which task was the wrong mock up linked?

Change 243403 had a related patch set uploaded (by Esanders):
ToggleSwitchWidget: Fix mediawiki theme

https://gerrit.wikimedia.org/r/243403

Not sure, but @matmarex linked to it above, which is what I was referring to. I assume whoever implemented it made the same mistake.

@violetto You added the M61 mock to task T88973, and @Prtksxna and I assumed that is the current design when working on it. Unless it was current then, but no longer is now…?

It would be helpful to have a "master" list of up-to-date mocks/designs somewhere, or at least mark the outdated ones as outdated (just adding a comment would be fine).

Change 243403 merged by jenkins-bot:
ToggleSwitchWidget: Fix mediawiki theme

https://gerrit.wikimedia.org/r/243403

matmarex closed this task as Resolved.Oct 5 2015, 1:52 PM
matmarex assigned this task to Esanders.
matmarex removed a project: Patch-For-Review.

@matmarex, your implementation was right.

Under "mock up history," it tells you which is the current revision.

We made the decision here T88973 started by @TheDJ to use color. There were some very valid points:

The current enabled state is 'dark', where disabled uses a 'light' background. To me this feels inverted. -TheDJ

using colors to strengthen the "on" state - Ricordisamoa

The fact that the blue active state is too obvious is a less of a concern compared to a toggle switch not looking "switched on." We said we'll use color where it will help. This is an instance where color will help based on concerns TheDJ brought up.

A note about color, we've iterated the color in task T109915 to #165C91. Perhaps you can feel better that this color is less bright.

@matmarex In a side-note: It's great, that you're working on it on the weekend, but please give us, @violetto and myself time on Monday to respond to you before merging where consensus is needed. Thanks!

@Esanders The most recent mockup with inputs by @TheDJ includes solid color on active (switched on) widgets (ToggleSwitch, Radio, Checkbox...) to help users. This one was standing out, because it was the first one which got implemented. I'll try to come up with patch sets for all changed input widgets within this week to reflect former discussions and the most recent mockup.

Both @violetto and @Esanders agreed that the blue mockup for toggle, which I pointed out as correct, was the wrong one, and that seemed reasonable single the blue mockup for checkbox (which I haven't seen before) definitely is wrong, and neither is marked as outdated.

…unless the blue checkbox one isn't wrong? @violetto, you seem to be saying that it is current… I am completely lost now, please sort out the blasted mockups. Tasks are closed when we're done with them, mockups should be too.

matmarex reopened this task as Open.Oct 5 2015, 8:14 PM

…okay, I guess we're going all blue. Whatever. Nice to know!

If anyone is confused about what version they might be looking at, you can see under "Mock history," the current one will be labelled as "Current revision" (pictured below).

I always refer mock-ups to their original URL phabricator.wikimedia.org/M61 which always points to the most current revision. The mock up has been untouched for a few months, but Phabricator pholio does have a confusing interface.

This task to my knowledge isn't about toggle not being up to spec.

Jdforrester-WMF removed Esanders as the assignee of this task.Oct 6 2015, 8:48 PM

Change 244050 had a related patch set uploaded (by Bartosz Dziewoński):
Revert "ToggleSwitchWidget: Fix mediawiki theme"

https://gerrit.wikimedia.org/r/244050

I've now reverted the styling back to the existing state for this week's release.

Change 244050 merged by jenkins-bot:
Revert "ToggleSwitchWidget: Fix mediawiki theme"

https://gerrit.wikimedia.org/r/244050

@Jdforrester-WMF Thanks, a patch by myself with bringing the ToggleSwitch, Radio and Checkbox on par with design spec is in "doing".

Volker_E renamed this task from ToggleSwitchWidget shouldn't be solid blue to Getting ToggleSwitchWidget to design spec.Oct 8 2015, 7:16 PM

Change 244835 had a related patch set uploaded (by VolkerE):
Get ToggleSwitchWidget to MediaWiki theme's design spec

https://gerrit.wikimedia.org/r/244835

I find this redesign rather confusing. Previously we only used blue to indicate focus, or on a progressive primary actions. By using blue to indicate checked, these controls will appear much brighter than other filled out items on the page, and it will be less clear which item is currently selected.

Here are the check controls in the context of other controls as they are more likely to appear in a form. As you can see the blue makes the check controls unnecessarily stand out against other controls, and makes it less clear where the focus is:

BeforeAfter

That is actually a great observation @Esanders that the focus state can be misinterpreted. I created a task to revisit focus state components - T115293.

As for this task and its outcome with blue for switched on, it should be based on the purpose and issues of the toggle switch instead of focus state confusion of the component library. That way we can be sure that the toggle switch is solved based on the needs around toggle switch as opposed to issues based on another task.

I think causing a problem to fix a problem is just kicking the can down the road. Is this really a required fix to the toggle widget? Is it really the best fix? Instead of saying well fix focus later we should address the appearance of the form layout as a whole otherwise we're just playing and endless game of whack-a-mole.

Also I didn't point out in my last comment the inconsistency between ToggleSwitchWidget and ButtonSelectWidget in the new design.

@Esanders I agree, that your concerns here are legit, we'll first look at a solution for unifying the much bigger :focus disparities on various widgets throughout the library (as used in a compounded form) and I'll get back and update the ToggleSwitch-/Radio-/CheckboxWidget as soon as T115293 gets solved.

Jdforrester-WMF closed this task as Resolved.Oct 20 2015, 5:54 PM
Jdforrester-WMF assigned this task to Volker_E.
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.

Change 244835 merged by jenkins-bot:
MediaWiki theme: Adjust ToggleSwitchWidget to match M61 design

https://gerrit.wikimedia.org/r/244835

@Jdforrester-WMF actually, this should be on hold like T114049: Get CheckboxInputWidget to design spec and T114050: Get RadioSelectInputWidget to design spec as well, as long as :focus states of compounded elements in forms are not solved -> T115293

Volker_E moved this task from Doing… to Done on the UI-Standardization board.Oct 23 2015, 9:27 PM
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Nov 21 2015, 2:30 AM
Jdforrester-WMF reopened this task as Open.Apr 29 2016, 6:10 PM
Jdforrester-WMF moved this task from Reviewing to OOjs-UI-0.17.1 on the OOUI board.
Jdforrester-WMF edited projects, added OOUI (OOjs-UI-0.17.1); removed OOUI.

Change 287002 had a related patch set uploaded (by Jforrester):
Align focus state of toggleSwitchWidget with other widgets

https://gerrit.wikimedia.org/r/287002

Jdforrester-WMF closed this task as Resolved.May 9 2016, 6:24 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 287002 merged by jenkins-bot:
Align focus state of toggleSwitchWidget with other widgets

https://gerrit.wikimedia.org/r/287002

Jdforrester-WMF set the point value for this task to 8.May 9 2016, 8:14 PM

I notice the patches have been updated, but I haven't heard anything more here about the re-use of blue for focus and selected, as shown in https://phabricator.wikimedia.org/T113225#1718231

Danny_B moved this task from Done to Unsorted on the UI-Standardization board.May 23 2016, 7:01 AM

Updated shots:

Before (as of 2016-09-12)After

I think it's OK, but perhaps we could use the selected (dark) blue rather than the progressive (mid) blue, yes.